﻿var NewsTab = NewsTab || {};
NewsTab.Modules = NewsTab.Modules || {};

NewsTab.Modules.Uninstall = {

    OpenModal: function () {
        NewsTab.Modules.NotificationsManager.Open_Modal({
            Id: "uninstallModal",
            ShowTitle: true,
            Title: "Remove " + NewsTab.Extension.Config.Name + (NewsTab.Extension.Config.Name.indexOf("NewsTab") == -1 && NewsTab.Extension.Config.Name.indexOf("News Tab") == -1 ? " News Tab" : ""),
            HeaderType: 0,
            Height: "auto",
            MaxHeight: "auto",
            Text: "",
            FullscreenOption: false,
            Buttons: [
                { Name: "Cancel", Classes: ["btn gray closeNotification float-left"] },
                { Name: "Uninstall", Classes: ["btn gray btn-uninstall float-right margin-left-15"] },
                { Name: "Hide News", Classes: ["btn blue btn-hideNews float-right"] }
            ],
            OnShow: function ($modal) {
                $(".btn-uninstall", $modal).on("click", function () {
                    chrome.management.uninstallSelf();
                });

                $(".btn-hideNews", $modal).on("click", function () {
                    NewsTab.Extension.ForceHideNewsFeed();
                    NewsTab.Modules.NotificationsManager.Close_Modal();
                });
            }
        });
    }
};