var redirect = NewsTab.Helpers.GetLocalStorageItem("FocusRedirect");

if (redirect !== false && window.location.hash === "#newTab") {
    chrome.tabs.create({ url: chrome.extension.getURL("newtab.html") });
    window.close();
}
else {
    
    NewsTab.Helpers.GetSyncStorage("NId", function (nid) {
        NewsTab.Extension.NId = nid;
        NewsTab.Extension.Init({
            Source: "startup",
            OnFinished: function () {
                NewsTab.Extension.UpdateArticleGridWidth();

                if (NewsTab.Extension.Config.OverrideSearchLogoUrl &&
                    NewsTab.Extension.Config.OverrideSearchLogoUrl.length > 0) {
                    $(".provider .searchLogo").attr("src", NewsTab.Extension.Config.OverrideSearchLogoUrl);
                    $("body").addClass("showCustomSearchLogo");
                    $(".provider .searchLogoText").remove();
                }

                if (NewsTab.Token) {
                    NewsTab.TrackAnalyticsEvent("New Tab", "Signed In", NewsTab.Extension.NameId);
                } else {
                    NewsTab.TrackAnalyticsEvent("New Tab", "Signed Out", NewsTab.Extension.NameId);
                }

                NewsTab.Modules.PromotionsManager.Init();
            }
        });
    });
}