﻿var Article = function () {
    this.Init = function (article) {
        for (var prop in article) {
            this[prop] = article[prop];
        }
        return this;
    };

    this.ToPinObject = function (item) {
        return {
            Id: item.Id,
            Alias: item.Alias,
            Url: item.Url,
            FromCache: false,
            XFrameOptions: item.XFrameOptions,
            FavIcon: item.FavIcon,
            FeedId: item.FeedId,
            Title: item.Title,
            HtmlTitle: item.HtmlTitle,
            Author: item.Author,
            Summary: item.Summary,
            HtmlSummary: item.HtmlSummary,
            Text: item.Text,
            Thumbnail: item.Thumbnail,
            ImageUrl: item.ImageUrl,
            VideoUrl: item.VideoUrl,
            PubDate: item.PubDate,
            DateCreated: item.DateCreated,
            ExternalUrl: item.ExternalUrl,
            Likes: item.Likes,
            Comments: item.Comments,
            HasLiked: item.HasLiked,
            Retweet: item.Retweet,
            Favorites: item.Favorites,
            Retweets: item.Retweets,
            HasFavorited: item.HasFavorited,
            HasRetweeted: item.HasRetweeted,
            ReplayToId: item.ReplayToId,
            Location: item.Location,
            IsDeleted: item.IsDeleted,
            ReParse: item.ReParse,
            OtherParams: item.SourceFeed().Type.Id + "_NT_" + item.SourceFeed().Name + "_NT_" + item.SourceFeed().SiteUrl,
            RequireParseHtml: item.RequireParseHtml,
            FullHtmlParsed: item.FullHtmlParsed
        };
    };

    this.SourceFeed = function () {
        if (this._sourceFeed === null || this._sourceFeed === undefined) {
            this._sourceFeed = NewsTab.Modules.SectionsManager.GetFeedById(this.SourceFeedId, NewsTab.Modules.SectionsManager.CurrentSection.CurrentFeed);
        }
        return this._sourceFeed;
    };
};