function emptyPage() {
    var parsedFeedData = $.grep(NewsTab.Extensions.Config.ParsedFeedData, function (x) { return x.feedId === NewsTab.Extensions.Config.CurrentFeed.Id; });
    if (parsedFeedData.length) {
        parsedFeedData = parsedFeedData[0];
    }
    parsedFeedData.data = NewsTab.Helpers.GetLocalStorageItem("Parsed_Feed_Data_" + NewsTab.Extensions.Config.CurrentFeed.Id);

    var result = '<div id="noFeeds" class="feedsListMessage">';
    result += '<div class="verticalCenter">';
    if (parsedFeedData.data === undefined || parsedFeedData.data.length === 0) {
        result += '<span>Upss... Something went wrong!</span>';
        result += '<span class="line-separator"> | </span>';
        result += '<span class=\"refresh\">Refresh</span>';
    } else if (parsedFeedData.data !== undefined && parsedFeedData.data.Result !== undefined && parsedFeedData.data.Result[0].FeedArticles.length > 0) {
        result += '<span>' + NewsTab.Extensions.Config.CurrentFeed.Name + ' feed is empty</span>';
        result += '<span class="line-separator"> | </span>';
        result += '<span class=\"replace\">Replace</span>';
    }
    result += '</div>';
    result += '</div>';

    $("#articles_grid").html(result);

    $("#articles_grid").find(".refresh").off("click").on("click", function () {
        NewsTab.Extensions.Common.SelectFeed(true);
    });
    $("#articles_grid").find(".replace").off("click").on("click", function () {
        setTimeout(function () {
            $("#settingsButton").click();
        }, 10);
    });
}

function setUpNotification(message) {
    var notification = document.createElement("div");
    notification.className = "notification-modal";

    var html = "<img src=\"https://cdn.newstab.com/Media/Images/penguin-construction.png\"  alt=\"NewsTab\" />";
    html += "<p>" + message + "</p>";
    html += "<div class=\"buttons\">";
    html += "<a class=\"btn blue open-link\" href=\"#\" data-url=\"" + NewsTab.Extensions.Config.EnviromentUrl + "\">Login</a>";
    html += "<a class=\"btn cancel gray\" href=\"#\">Close</a>";

    notification.innerHTML = html;

    $.modal(notification, {
        overlayClose: true,
        autoResize: false,
        autoPosition: true,
        maxHeight: "158",
        minHeight: "158",
        maxWidth: "450",
        minWidth: "450"
    });

    $.modal.impl.setPosition();

    $(".open-link").off("click").on("click", function () {
        var url = $(this).attr("data-url");
        var name = $(this).attr("data-name");
        NewsTab.TrackAnalyticsEvent("Share", name, NewsTab.Extension.NameId);

        window.open(url, "_self");
    });

    $(".notification-modal .cancel").off("click").on("click", function () {
        $.modal.impl.close();
    });
}
