﻿var NewsTab = NewsTab || {};
NewsTab.Modules = NewsTab.Modules || {};

NewsTab.Modules.XhrManager = {
    Xhr_GetAutocompleteData: null,
    Xhr_GetPublishersByRegion: null,
    Xhr_SearchFeedsXhr: null,
    Xhr_GetFeeds: null,
    Xhr_SearchBestFeed: null,
    Xhr_SearchGoogleNews: null,
    Xhr_SearchGoogleNewsLocation: null,
    Xhr_GetPopular: null,
    Xhr_GetUsState: null,

    Xhr_ParseUnparsedArticles: [],

    CancelAllRequests: function () {
        if (this.Xhr_GetAutocompleteData && this.Xhr_GetAutocompleteData.readystate !== 4) {
            this.Xhr_GetAutocompleteData.abort();
        }
        if (this.Xhr_GetFeeds && this.Xhr_GetFeeds.readystate !== 4) {
            this.Xhr_GetFeeds.abort();
        }
        if (this.Xhr_SearchFeedsXhr && this.Xhr_SearchFeedsXhr.readystate !== 4) {
            this.Xhr_SearchFeedsXhr.abort();
        }
        if (this.Xhr_SearchBestFeed && this.Xhr_SearchBestFeed.readystate !== 4) {
            this.Xhr_SearchBestFeed.abort();
        }
        if (this.Xhr_SearchGoogleNews && this.Xhr_SearchGoogleNews.readystate !== 4) {
            this.Xhr_SearchGoogleNews.abort();
        }
        if (this.Xhr_SearchGoogleNewsLocation && this.Xhr_SearchGoogleNewsLocation.readystate !== 4) {
            this.Xhr_SearchGoogleNewsLocation.abort();
        }
        if (this.Xhr_GetPopular && this.Xhr_GetPopular.readystate !== 4) {
            this.Xhr_GetPopular.abort();
        }
        if (this.Xhr_GetPublishersByRegion && this.Xhr_GetPublishersByRegion.readystate !== 4) {
            this.Xhr_GetPublishersByRegion.abort();
        }
        if (this.Xhr_GetUsState && this.Xhr_GetUsState.readystate !== 4) {
            this.Xhr_GetUsState.abort();
        }
    },

    CancelParsingArticles: function () {
        var self = this;
        for(var i = 0, l = self.Xhr_ParseUnparsedArticles.length; i < l; i++)
        {
            if (self.Xhr_ParseUnparsedArticles[i] && self.Xhr_ParseUnparsedArticles[i].readystate !== 4) {
                self.Xhr_ParseUnparsedArticles[i].abort();
                self.Xhr_ParseUnparsedArticles[i] = null;
            }
        }
        self.Xhr_ParseUnparsedArticles = [];
    }
};